Alright, slowly but surely. I've checked out ld.so.conf and the libraries appear to be 
setup correctly.

The output of ldconfig -v shows (among other things):

/opt/pgsql/lib:
     libpq.so.2.1 -> libpq.so.2.1

* There is no entry for the generic libpq.so *

libpq.so is a link to libpq.so.2.1

Is this potentially the problem? Are there solutions?

Thanks for all of the help already.

- Steve

On Tue, 01 August 2000, [EMAIL PROTECTED] wrote:

> 
> On Tue, Aug 01, 2000 at 02:01:45PM -0700, Stephen Nosal wrote:
> > Well, I'm getting somewhere. The make and make install on the PoPymodule completed 
>with no errors, but now in python the import PoPy returns the following:
> > 
> > Traceback (innermost last):
> >   File "<stdin>", line 1, in ?
> > ImportError: /usr/lib/python1.5/site-packages/PoPymodule.so: undefined symbol: 
>PQfsize
> 
> This is defined in libpq, so, it appears that PoPy is doing using
> libpq as a shared library.  This makes sense.  Now, you know where 
> libpq lives.  edit (as root) /etc/ld.so.conf.  Add the path to
> the library as the last line in this file.  Then run ldconfig.
> 
> You might want to man ld.so and man ldconfig before you do this.
> This is not the kind of info to take on blind trust.
> 
> > 
> > This is from the PoPy-1.2.1 tarball.
> > 
> > On another note, ZPyGreSQLDA appears to be up and running.
> > 
> > Thanks for all of the help.
> > 
> > - Steve
> > 
> > 
> > On Tue, 01 August 2000, [EMAIL PROTECTED] wrote:
> > 
> > > 
> > > On Tue, Aug 01, 2000 at 10:54:50AM -0700, Stephen Nosal wrote:
> > > > Folks -
> > > > 
> > > > I could use a hand here - I'm trying to compile the PoPy module for python so 
>I can use the ZPoPyDA to connect to my PostgreSQL database.
> > > > 
> > > > I keep getting the same compile error -
> > > > 
> > > > gcc - shared PoPymodule.o -lpq -o PoPymodule.so
> > > > /usr/i486-suse-linux/bin/ld: cannot find -lpq
> > > > 
> > > > I have compiled other binaries on this machine, including Zope 2.2. Python 
>runs fine, I just don't know enough about ld to understand the error. (I get the same 
>error trying to compile ZPyGreSQLDA.
> > > > 
> > > 
> > > This message is saying that the postgres library libpq cannot
> > > be found by the linker (postgres was formerly called PostQuel,
> > > hence pq).  Not having Suse, which I have heard has somewhat
> > > unusual layout, I cannot tell you for sure what to do...
> > > 
> > > but try find / -name "libpq*"
> > > 
> > > THis should find any libpq's on your system
> > > 
> > > Then if libpq is in /usr/lib/foo, do 
> > > export LD_LIBRARY_PATH=/usr/lib/foo
> > > gcc - shared PoPymodule.o -lpq -o PoPymodule.so
> > > 
> > > 
> > > > Any pointers would be greatly appreciated.
> > > > 
> > > > - Steve
> > > > 
> > > > 
> > > > __________________________________________________________________
> > > > Get your Private, Anti-Spam, Free Email at http://e3mil.com 
> > > > and Step into a Friendly Universe!
> > > > 
> > > > _______________________________________________
> > > > Zope maillist  -  [EMAIL PROTECTED]
> > > > http://lists.zope.org/mailman/listinfo/zope
> > > > **   No cross posts or HTML encoding!  **
> > > > (Related lists - 
> > > >  http://lists.zope.org/mailman/listinfo/zope-announce
> > > >  http://lists.zope.org/mailman/listinfo/zope-dev )
> > > > 
> > 
> > 
> > __________________________________________________________________
> > Get your Private, Anti-Spam, Free Email at http://e3mil.com 
> > and Step into a Friendly Universe!
> > 
> > _______________________________________________
> > Zope maillist  -  [EMAIL PROTECTED]
> > http://lists.zope.org/mailman/listinfo/zope
> > **   No cross posts or HTML encoding!  **
> > (Related lists - 
> >  http://lists.zope.org/mailman/listinfo/zope-announce
> >  http://lists.zope.org/mailman/listinfo/zope-dev )
> > 


__________________________________________________________________
Get your Private, Anti-Spam, Free Email at http://e3mil.com 
and Step into a Friendly Universe!

_______________________________________________
Zope maillist  -  [EMAIL PROTECTED]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

Reply via email to